Update access policy
curl --request PUT \
--url https://api.vantage.sh/v2/access_policies/{access_policy_token} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data @- <<EOF
{
"title": "<string>",
"policy": {
"api_version": "v1",
"policy": {
"filter": "(vantage.provider = 'aws')"
}
},
"description": "<string>",
"team_tokens": [
"team_abcd1234"
]
}
EOFimport requests
url = "https://api.vantage.sh/v2/access_policies/{access_policy_token}"
payload = {
"title": "<string>",
"policy": {
"api_version": "v1",
"policy": { "filter": "(vantage.provider = 'aws')" }
},
"description": "<string>",
"team_tokens": ["team_abcd1234"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
policy: {api_version: 'v1', policy: {filter: '(vantage.provider = \'aws\')'}},
description: '<string>',
team_tokens: ['team_abcd1234']
})
};
fetch('https://api.vantage.sh/v2/access_policies/{access_policy_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "accss_plcy_c40f15062b6d5c37",
"title": "Engineering GCP costs",
"description": "Limits cost visibility to the Engineering team.",
"policy": {
"api_version": "v1",
"policy": {
"filter": "(vantage.provider = 'gcp')"
}
},
"team_tokens": [
"team_fd5c524ba104712b"
],
"created_by": "usr_eb8ce6bdc1fa31d5",
"created_at": "2024-01-18T17:39:37Z"
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}AccessPolicies
Update access policy
Update an Access Policy.
PUT
/
access_policies
/
{access_policy_token}
Update access policy
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Update an Access Policy.
The title of the AccessPolicy.
The AccessPolicy definition as a v1 document with vantage.* VQL.
Show child attributes
Show child attributes
Example:
{
"api_version": "v1",
"policy": { "filter": "(vantage.provider = 'aws')" }
}
The description of the AccessPolicy.
The tokens for Teams this AccessPolicy is assigned to.
Example:
["team_abcd1234"]
Response
AccessPolicy model
The title of the AccessPolicy.
Example:
"Engineering costs"
The description of the AccessPolicy.
Example:
"Limits cost visibility to the Engineering team."
Show child attributes
Show child attributes
The tokens for Teams this AccessPolicy is assigned to.
The token for the User who created the AccessPolicy.
Example:
"usr_abcd1234"
The date and time, in UTC, the AccessPolicy was created. ISO 8601 Formatted.
Example:
"2024-01-18T17:39:37Z"